Package com.google.android.exoplayer2.source.hls

## Class HlsTrackMetadataEntry

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.HlsTrackMetadataEntry

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class HlsTrackMetadataEntry
      extends Object
      implements Metadata.Entry

  Holds metadata associated to an HLS media track.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HlsTrackMetadataEntry.VariantInfo` | Holds attributes defined in an EXT-X-STREAM-INF tag.

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<HlsTrackMetadataEntry>` | `CREATOR` |
    `String` | `groupId` | The GROUP-ID value of this track, if the track is derived from an EXT-X-MEDIA tag.
    `String` | `name` | The NAME value of this track, if the track is derived from an EXT-X-MEDIA tag.
    `List<HlsTrackMetadataEntry.VariantInfo>` | `variantInfos` | The EXT-X-STREAM-INF tags attributes associated with this track.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HlsTrackMetadataEntry​(String groupId, String name, List<HlsTrackMetadataEntry.VariantInfo> variantInfos)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object other)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### groupId

          @Nullable
          public final String groupId

      The GROUP-ID value of this track, if the track is derived from an EXT-X-MEDIA tag. Null if the track is not derived from an EXT-X-MEDIA TAG.

    - #### name

          @Nullable
          public final String name

      The NAME value of this track, if the track is derived from an EXT-X-MEDIA tag. Null if the track is not derived from an EXT-X-MEDIA TAG.

    - #### variantInfos

          public final List<HlsTrackMetadataEntry.VariantInfo> variantInfos

      The EXT-X-STREAM-INF tags attributes associated with this track. This field is non-applicable (and therefore empty) if this track is derived from an EXT-X-MEDIA tag.

    - #### CREATOR

          public static final Parcelable.Creator<HlsTrackMetadataEntry> CREATOR

  - ### Constructor Detail

    - #### HlsTrackMetadataEntry

          public HlsTrackMetadataEntry​(@Nullable
                                       String groupId,
                                       @Nullable
                                       String name,
                                       List<HlsTrackMetadataEntry.VariantInfo> variantInfos)

      Creates an instance.
      Parameters:
        `groupId` - See `groupId`.
        `name` - See `name`.
        `variantInfos` - See `variantInfos`.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`